package com.holmos.webtest.junitextentions.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * 指示数据库连接的注解，在此配置数据库连接的必须的信息<br>
 * <li>connection:为此连接取的名字，case上的@Source注解的connection饮用这个数据库连接</li>
 * <li>environment</li>
 * <li>url:数据库的url连接信息,在这里输入ip+port</li>
 * <li>driver:指示用的是哪种数据库,写上数据库的驱动</li>
 * <li>username:数据库的登陆用户名</li>
 * <li>password:数据库登陆密码</li>
 * <li>catalog:catalog名称</li>
 * <li>schema:schema名称,和catalog都是为了解决表名相同的冲突问题</li>
 * 
 * @author 吴银龙(sunshine307087558@gmail.com)
 * */
@Retention(RetentionPolicy.RUNTIME)
public @interface DataBase {
	String connectionName() default "";
	String url() default "";
	String driver() default "";
	String username() default "";
	String password() default "";
	String catalog() default "";
	String schema() default "";
}
