package com.holmos.webtest.junitextentions.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
/**
 * 有此注解的case在一个线程池里面执行runCount次，也就是多线程执行，线程池大小为threadPoolSize个；
 * 如果线程池的大小为1,那就等于是窜行执行
 * 
 * @author 吴银龙(sunshine307087558@gmail.com)
 * */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface RunCount {
	int runCount() default 1;
	int threadPoolSize() default 1;
}
