package com.holmos.webtest.junitextentions.annotations;

/**
 * Holmos 校验用注解，用来校验测试方法的返回值与数据源数据是否一致，数据源和参数的数据源使用方法一致
 * 
 * <li>sourceID:表示一个方法的参数是在SourceId指示的目标文件或者数据库中，如果当前方法有@Source定义，那么这个值无效</li>
 * <li>values:表示数据源中配置的id序列列表</li>
 * <li>若测试方法打上此注解，那么一旦校验失败，程序将会抛出异常，该方法运行失败</li>
 * */
public @interface ValueAssert {
	
	int sourceID() default -1;
	int[] values() default {};
}
