package com.holmos.webtest.utils;

import java.util.ArrayList;

import com.holmos.webtest.exceptions.HolmosFailedError;
import com.holmos.webtest.utils.file.MyString;

/**
 * Holmos 框架不同数据类型值之间相互转换的工具类
 * 
 * @author 吴银龙(sunshine307087558@gmail.com)
 * */
public class HolmosTypeCastUtils {
	
	public static Object getParameterEndByBlank(Object[]parameter){
		ArrayList<String> parameterTemp=new ArrayList<String>();
		for(int i = 0;i<parameter.length;i++){
			if(((String)parameter[i]).equalsIgnoreCase(""))
				break;
			parameterTemp.add((String) parameter[i]);
		}
		return parameterTemp.toArray();
	}
	public static Object castObjectAsType(Class<?> type, Object obj) {
		if(((String)obj).equalsIgnoreCase("null")){
			return castNullObjectAsType(type, obj);
		}else if(((String)obj).equalsIgnoreCase("\null")){
			return castNullStrObjectAsType(type, obj);
		}else{
			return castNotNullObjectAsType(type, obj);
		}
	}
	private static Object castNullStrObjectAsType(Class<?> type, Object obj) {
		MyString typeStr=new MyString(type.getName());
		if(typeStr.includeOr("java.lang.String")){
			return "null";
		}
		throw new HolmosFailedError("当参数内容为'\null'的时候，参数类型必须为 java.lang.String类型!");
	}
	private static Object castNullObjectAsType(Class<?>type,Object obj){
		MyString typeStr=new MyString(type.getName());
		if(typeStr.includeOr("java.lang.String")){
			return null;
		}
		if(typeStr.includeOr("java.lang.Byte","byte")){
			return 0;
		}else if(typeStr.includeOr("java.lang.Integer","int")){
			return 0;
		}else if(typeStr.includeOr("java.lang.Character","char")){
			return '\0';
		}else if(typeStr.includeOr("java.lang.Double","double")){
			return 0.0;
		}else if(typeStr.includeOr("java.lang.Float","float")){
			return 0.0;
		}else if(typeStr.includeOr("java.lang.Long","long")){
			return 0;
		}else{
			return null;
		}
	}
	private static Object castNotNullObjectAsType(Class<?>type,Object obj){
		MyString typeStr=new MyString(type.getName());
		if(null==obj){
			throw new HolmosFailedError("参数值为null!无法完成转换!");
		}
		if(typeStr.includeOr("java.lang.String")){
			return obj;
		}
		if(typeStr.includeOr("java.lang.Byte","byte")){
			return Byte.parseByte((String)obj);
		}else if(typeStr.includeOr("java.lang.Integer","int")){
			return Integer.parseInt((String)obj);
		}else if(typeStr.includeOr("java.lang.Character","char")){
			if(((String)obj).length()>1)
				throw new HolmosFailedError("字符窜长度大于1，无法转换成为字符!");
			return ((String)obj).charAt(0);
		}else if(typeStr.includeOr("java.lang.Double","double")){
			return Double.parseDouble((String)obj);
		}else if(typeStr.includeOr("java.lang.Float","float")){
			return Float.parseFloat((String)obj);
		}else if(typeStr.includeOr("java.lang.Long","long")){
			return Long.parseLong((String)obj);
		}else{
			return type.cast(obj);
		}
	}
}
